
package com.tmerclub.cloud.user.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;

/**
 * 弹窗广告关联VO
 * @author TRACK
 */
public class PopupRelateVO extends BaseVO {
    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "关联id")
    private Long relateId;

    @Schema(description = "弹窗广告id")
    private Long popupId;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "商品介绍主图")
    private String mainImgUrl;

    @Schema(description = "会员等级id")
    private Long userLevelId;

    @Schema(description = "等级名称")
    private String levelName;

    public Long getRelateId() {
        return relateId;
    }

    public void setRelateId(Long relateId) {
        this.relateId = relateId;
    }

    public Long getPopupId() {
        return popupId;
    }

    public void setPopupId(Long popupId) {
        this.popupId = popupId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public String getSpuName() {
        return spuName;
    }

    public void setSpuName(String spuName) {
        this.spuName = spuName;
    }

    public String getMainImgUrl() {
        return mainImgUrl;
    }

    public void setMainImgUrl(String mainImgUrl) {
        this.mainImgUrl = mainImgUrl;
    }

    public Long getUserLevelId() {
        return userLevelId;
    }

    public void setUserLevelId(Long userLevelId) {
        this.userLevelId = userLevelId;
    }

    public String getLevelName() {
        return levelName;
    }

    public void setLevelName(String levelName) {
        this.levelName = levelName;
    }

    @Override
    public String toString() {
        return "PopupRelateVO{" +
                "relateId=" + relateId +
                ", popupId=" + popupId +
                ", spuId=" + spuId +
                ", spuName='" + spuName + '\'' +
                ", mainImgUrl='" + mainImgUrl + '\'' +
                ", userLevelId=" + userLevelId +
                ", levelName='" + levelName + '\'' +
                '}';
    }
}
